SourceCodeAnalysis.QualifiedNames (Java SE 26 & JDK 26)
Description: declaration: module: jdk.jshell, package: jdk.jshell, class: SourceCodeAnalysis, class: QualifiedNames
Keywords: jdk.jshell.SourceCodeAnalysis.QualifiedNames class

# Class SourceCodeAnalysis.QualifiedNames

java.lang.Object
jdk.jshell.SourceCodeAnalysis.QualifiedNames

Enclosing class:
  `SourceCodeAnalysis`

public static final class SourceCodeAnalysis.QualifiedNames extends Object
List of possible qualified names.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getNames()`
  Known qualified names for the given simple name in the original code.
  `int`
  `getSimpleNameLength()`
  The length of the simple name in the original code for which the qualified names where gathered.
  `boolean`
  `isResolvable()`
  Indicates whether the given simple name in the original code refers to a resolvable element.
  `boolean`
  `isUpToDate()`
  Indicates whether the result is based on up-to-date data.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### getNames

    public List<String> getNames()
    Known qualified names for the given simple name in the original code.
    Returns:
      known qualified names

  - ### getSimpleNameLength

    public int getSimpleNameLength()
    The length of the simple name in the original code for which the qualified names where gathered.
    Returns:
      the length of the simple name; -1 if there is no name immediately left to the cursor for which the candidates could be computed

  - ### isUpToDate

    public boolean isUpToDate()
    Indicates whether the result is based on up-to-date data. The `listQualifiedNames` method may return before the classpath is fully inspected, in which case this method will return `false`. If the result is based on a fully inspected classpath, this method will return `true`.
    Returns:
      `true` if the result is based on up-to-date data; otherwise `false`

  - ### isResolvable

    public boolean isResolvable()
    Indicates whether the given simple name in the original code refers to a resolvable element.
    Returns:
      `true` if the given simple name in the original code refers to a resolvable element; otherwise `false`